vike
API EndpointsHyperliquid

/wallets/{address}/builders

Reverse lookup: which builders this wallet's flow is routed through.

GET https://data.vike.io/v1/hyperliquid/wallets/{address}/builders

Reverse lookup: which builders this wallet's flow is routed through.

cURL
# which builders route this wallet's flow
curl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/builders?limit=3" \
  -H "X-API-KEY: $VIKE_API_KEY"

# the last 30 days only
curl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/builders?window=30d&limit=50" \
  -H "X-API-KEY: $VIKE_API_KEY"

# each builder's share of the wallet's builder-routed volume
curl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/builders?limit=50" \
  -H "X-API-KEY: $VIKE_API_KEY" \
  | jq '.builders[] | {builder, share_of_volume, volume_usd, fills}'

# next page: NEXT is the previous response's nextCursor, passed back verbatim
curl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/builders?limit=50&cursor=$NEXT" \
  -H "X-API-KEY: $VIKE_API_KEY"

# then profile one of those builders
curl -s "https://data.vike.io/v1/hyperliquid/builders/0xab5dbc057628bc18523c4cdfc0e1e2ebdbecb704?window=30d&breakdown_limit=3" \
  -H "X-API-KEY: $VIKE_API_KEY"
addresspathrequired
The wallet
windowqueryoptional
1d | 7d | 30d | all. Default all
limitqueryoptional
Default 50, max 500
cursorqueryoptional
Keyset cursor
Example response
{
  "wallet": "0x25773676902085225ae5751075e4161369334897",
  "window": {
    "window": "all",
    "start": "2024-10-27T18:15:13+00:00",
    "end": "2026-09-03T08:07:49.353000+00:00"
  },
  "builders": [
    {
      "builder": "0xab5dbc057628bc18523c4cdfc0e1e2ebdbecb704",
      "assets": 42,
      "share_of_volume": 1.0,
      "fee_usd": 0.0,
      "volume_usd": 183419.57242000004,
      "share_volume_usd": 183419.57242000004,
      "fills": 2126,
      "fee_rate_bps": 0.0,
      "fee_usd_node": 0.0,
      "trader_fee_usd": 3.961064089999999,
      "builder_routed_deployer_fee_usd": 1.9780274800000002,
      "closed_pnl_usd": 4463.86290756,
      "active_days": 2,
      "crossed_fills": 966,
      "taker_pct": 45.437441204139226,
      "first_seen": "2026-09-02T19:45:15.814000+00:00",
      "last_seen": "2026-09-03T08:07:27.555000+00:00"
    }
  ],
  "nextCursor": null
}

share_of_volume covers builder-routed volume only

share_of_volume is the share of the wallet's builder-routed volume, not of its total trading. Fills placed without a builder code never enter this dataset at all.

cURL
# which builders route this wallet's flowcurl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/builders?limit=3" \  -H "X-API-KEY: $VIKE_API_KEY"# the last 30 days onlycurl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/builders?window=30d&limit=50" \  -H "X-API-KEY: $VIKE_API_KEY"# each builder's share of the wallet's builder-routed volumecurl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/builders?limit=50" \  -H "X-API-KEY: $VIKE_API_KEY" \  | jq '.builders[] | {builder, share_of_volume, volume_usd, fills}'# next page: NEXT is the previous response's nextCursor, passed back verbatimcurl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/builders?limit=50&cursor=$NEXT" \  -H "X-API-KEY: $VIKE_API_KEY"# then profile one of those builderscurl -s "https://data.vike.io/v1/hyperliquid/builders/0xab5dbc057628bc18523c4cdfc0e1e2ebdbecb704?window=30d&breakdown_limit=3" \  -H "X-API-KEY: $VIKE_API_KEY"
Example response
{  "wallet": "0x25773676902085225ae5751075e4161369334897",  "window": {    "window": "all",    "start": "2024-10-27T18:15:13+00:00",    "end": "2026-09-03T08:07:49.353000+00:00"  },  "builders": [    {      "builder": "0xab5dbc057628bc18523c4cdfc0e1e2ebdbecb704",      "assets": 42,      "share_of_volume": 1.0,      "fee_usd": 0.0,      "volume_usd": 183419.57242000004,      "share_volume_usd": 183419.57242000004,      "fills": 2126,      "fee_rate_bps": 0.0,      "fee_usd_node": 0.0,      "trader_fee_usd": 3.961064089999999,      "builder_routed_deployer_fee_usd": 1.9780274800000002,      "closed_pnl_usd": 4463.86290756,      "active_days": 2,      "crossed_fills": 966,      "taker_pct": 45.437441204139226,      "first_seen": "2026-09-02T19:45:15.814000+00:00",      "last_seen": "2026-09-03T08:07:27.555000+00:00"    }  ],  "nextCursor": null}